Package net.shibboleth.idp.installer.impl

# Enum Class UpdateIdPArguments.OperationType

java.lang.Object
java.lang.Enum<UpdateIdPArguments.OperationType>
net.shibboleth.idp.installer.impl.UpdateIdPArguments.OperationType

All Implemented Interfaces:
  `Serializable`, `Comparable<UpdateIdPArguments.OperationType>`, `Constable`

Enclosing class:
  UpdateIdPArguments

public static enum UpdateIdPArguments.OperationType extends Enum<UpdateIdPArguments.OperationType>
Operation enum.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CHECK`
Check Installed version.
`DOWLOAD`
Download a version.
`LIST`
List all versions.
`UNKNOWN`
Unknown.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`OperationType()`

## Method Summary

Modifier and Type
Method
Description
`static UpdateIdPArguments.OperationType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static UpdateIdPArguments.OperationType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DOWLOAD

public static final UpdateIdPArguments.OperationType DOWLOAD
Download a version.

### LIST

public static final UpdateIdPArguments.OperationType LIST
List all versions.

### CHECK

public static final UpdateIdPArguments.OperationType CHECK
Check Installed version.

### UNKNOWN

public static final UpdateIdPArguments.OperationType UNKNOWN
Unknown.

## Constructor Details

### OperationType

private OperationType()

## Method Details

### values

public static UpdateIdPArguments.OperationType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static UpdateIdPArguments.OperationType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null